groovy.lang

## Class SpreadMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - groovy.lang.SpreadMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class SpreadMap
      extends HashMap

  Represents a spreadable map which extends java.util.HashMap.
  Version:
    $Revision: 6778 $
  Author:
    Pilho Kim
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpreadMap(Map map)`
    `SpreadMap(Object[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object that)`
    `boolean` | `equals(SpreadMap that)`
    `Object` | `get(Object obj)`
    `int` | `hashCode()`
    `Object` | `put(Object key, Object value)`
    `void` | `putAll(Map t)`
    `Object` | `remove(Object key)`
    `int` | `size()`
    `String` | `toString()` Returns the string expression of `this`.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, values`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpreadMap

          public SpreadMap(Object[] values)

    - #### SpreadMap

          public SpreadMap(Map map)

  - ### Method Detail

    - #### get

          public Object get(Object obj)

      Specified by:
        `get` in interface `Map`
      Overrides:
        `get` in class `HashMap`

    - #### put

          public Object put(Object key,
                   Object value)

      Specified by:
        `put` in interface `Map`
      Overrides:
        `put` in class `HashMap`

    - #### remove

          public Object remove(Object key)

      Specified by:
        `remove` in interface `Map`
      Overrides:
        `remove` in class `HashMap`

    - #### putAll

          public void putAll(Map t)

      Specified by:
        `putAll` in interface `Map`
      Overrides:
        `putAll` in class `HashMap`

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map`
      Overrides:
        `size` in class `HashMap`

    - #### equals

          public boolean equals(Object that)

      Specified by:
        `equals` in interface `Map`
      Overrides:
        `equals` in class `AbstractMap`

    - #### equals

          public boolean equals(SpreadMap that)

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map`
      Overrides:
        `hashCode` in class `AbstractMap`

    - #### toString

          public String toString()

      Returns the string expression of `this`.
      Overrides:
        `toString` in class `AbstractMap`
      Returns:
        the string expression of `this`